package com.ti.mobpo.screens

import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Row
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.padding
import androidx.compose.foundation.layout.wrapContentSize
import androidx.compose.material3.Button
import androidx.compose.material3.OutlinedTextField
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.runtime.getValue
import androidx.compose.runtime.mutableStateOf
import androidx.compose.runtime.remember
import androidx.compose.runtime.setValue
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.res.stringResource
import androidx.compose.ui.tooling.preview.Preview
import androidx.compose.ui.unit.dp
import androidx.navigation.NavController
import androidx.navigation.compose.rememberNavController
import com.ti.mobpo.R


@Composable
fun PokeSearch() {
    var value by remember { mutableStateOf("") }
    println("Search page")
    Row(
        modifier = Modifier.fillMaxSize().wrapContentSize(),
        verticalAlignment = Alignment.CenterVertically,
        horizontalArrangement = Arrangement.Center
    ) {
        OutlinedTextField(
            value = value,
            onValueChange = { value = it },
            label = { Text(stringResource(R.string.input_field_label)) },
            modifier = Modifier.weight(1f).padding(horizontal = 16.dp, vertical = 8.dp)
        )
        Button(
            onClick = {
                /*TODO*/
            },
            modifier = Modifier.padding(start = 8.dp)
        ) {
            Text(stringResource(R.string.input_search_button))
        }
    }
}
@Preview(showBackground = true)
@Composable
fun PokeSearchApp(){
    PokeSearch()
}